Error: Xcode alone is not sufficient on Sierra. が表示された

ちょっととあるものをインストールしようとコンソール上でbrewコマンド実行。

何か思ったような動作しないなと思ってよくコンソール上を見ると

Error: Xcode alone is not sufficient on Sierra.

と表示されていた。

あれ?Xcode入れてるんだけど。

なんて思ったけどどうやら

macOSをupdateしたらHomebrewが動作しない、あるいはXcode 8から9にupdate後にcarthage updateできない件

OSアップデート毎に

xcode-select –install

実行しないと駄目らしい。